org.apache.cassandra.tracing

## Enum Tracing.TraceType

- java.lang.Object
- - java.lang.Enum<Tracing.TraceType>
  - - org.apache.cassandra.tracing.Tracing.TraceType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Tracing.TraceType>

Enclosing class:
  Tracing

    public static enum Tracing.TraceType
    extends java.lang.Enum<Tracing.TraceType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NONE`
`QUERY`
`REPAIR`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Tracing.TraceType` `deserialize(byte b)`
`int` `getTTL()`
`static byte` `serialize(Tracing.TraceType value)`
`static Tracing.TraceType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Tracing.TraceType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final Tracing.TraceType NONE

#### QUERY

    public static final Tracing.TraceType QUERY

#### REPAIR

    public static final Tracing.TraceType REPAIR

### Method Detail

#### values

    public static Tracing.TraceType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Tracing.TraceType c : Tracing.TraceType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Tracing.TraceType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### deserialize

    public static Tracing.TraceType deserialize(byte b)

#### serialize

    public static byte serialize(Tracing.TraceType value)

#### getTTL

    public int getTTL()